Cyberduck Mountain Duck CLI

#8625 closed enhancement (fixed)

Misleading error message for downloads with illegal filename

Reported by: sören schwert Owned by: dkocher
Priority: low Milestone: 4.7.1
Component: interface Version: 4.6.5
Severity: normal Keywords: UI, error message
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by sören schwert)

Premise: MS Windows doesn't allow colons (:) in file names, but *nix does.

When I download a file from a Linux system that has a colon (:) in its filename to my Windows computer, I get an error message saying:

Cannot create file [filename]. Please contact your webhost for further Help. (Or similar, my language is in German.)

The problem is that in this case the error lies not with the webhost, but with the local operating system. So I propose to check if it's a download or an upload and change the message accordingly. So for download it should rather be:

Cannot create file [filename]. Your operating system does not seem to support the filename.

Change History (8)

comment:1 Changed on Mar 2, 2015 at 2:02:59 PM by sören schwert

  • Description modified (diff)

comment:2 Changed on Mar 4, 2015 at 3:18:39 PM by dkocher

  • Milestone set to 4.7
  • Status changed from new to assigned

comment:3 Changed on Mar 4, 2015 at 3:21:52 PM by dkocher

Although for the average user who isn't aware of this issue asking the hosting provider might indeed help.

comment:4 Changed on Apr 1, 2015 at 12:32:31 PM by dkocher

  • Summary changed from Wrong file-creation-error message text when downloading to Windows to Misleading error message for downloads with illegal filename

comment:5 Changed on Apr 1, 2015 at 12:34:17 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r17215.

comment:6 Changed on Apr 1, 2015 at 1:08:19 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

Revert in r17217.

comment:7 Changed on Apr 1, 2015 at 3:11:19 PM by dkocher

  • Milestone changed from 4.7 to 4.8

comment:8 Changed on May 15, 2015 at 8:37:57 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r17517.

Note: See TracTickets for help on using tickets.
swiss made software